//***************************************************************************
// Group VDR/GraphTFT
// File service.h
// Date 21.11.06 - Jrg Wendel
// This code is distributed under the terms and conditions of the
// GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
//--------------------------------------------------------------------------
// Class GraphTftTouchEvent
//***************************************************************************

#ifndef GTFT_SERVICE
#define GTFT_SERVICE

#define GRAPHTFT_TOUCH_EVENT_ID "GraphTftTouchEvent-v1.0"
#define GRAPHTFT_CALIBRATION_ID "GraphTftCalibration-v1.0"

//***************************************************************************
// GraphTftTouchEvent
//***************************************************************************

class cGraphTftService
{
   public:

      struct GraphTftTouchEvent
      {
         int x;
         int y;
      };

      struct GraphTftCalibration
      {
         int activate;
      };
};

#endif
